document: modulemd
version: 2
data:
    name: httpd
    stream: "2.4"
    summary: Apache HTTP Server
    description: Apache httpd is a powerful, efficient, and extensible HTTP server.
    license:
        module:
            - MIT
    dependencies:
        - buildrequires:
            platform:
                - el8
          requires:
            platform:
                - el8
    references:
        documentation: https://httpd.apache.org/docs/2.4/
        tracker: https://bz.apache.org/bugzilla/
    profiles:
        common:
            rpms:
                - httpd
                - httpd-filesystem
                - httpd-tools
                - mod_ssl
                - mod_http2
        devel:
            rpms:
                - httpd
                - httpd-filesystem
                - httpd-devel
                - httpd-tools
        minimal:
            rpms:
                - httpd
    api:
        rpms:
            - httpd
            - httpd-devel
            - httpd-filesystem
            - mod_ssl
    components:
        rpms:
            httpd:
                rationale: Apache httpd
                ref: b8710d67cca456b0dba8e2e47210cfa270d2878d
                buildorder: 10
            mod_http2:
                rationale: HTTP/2 support for Apache httpd
                ref: 46eff7ba3fee7cb26a2bdcae384659db8c509306
                buildorder: 20
            mod_md:
                rationale: Certificate provisioning using ACME for Apache httpd
                ref: 0fada372241b59cfe6308465d111b39c67ffe9a7
                buildorder: 20
